{
  modulesPath,
  lib,
  pkgs,
  self,
  ...
}:
let
  pubKeys = (import "${self}/options/keys.nix").allUser;
in
{
  imports = [
    (modulesPath + "/profiles/qemu-guest.nix")
    ./disk-config.nix
    ../../modules/nix
  ];

  boot.loader.grub = {
    efiSupport = true;
    efiInstallAsRemovable = true;
  };

  modules.server.navidrome = {
    enable = false;
    library = {
      path = "/mnt/music";
      type = "nfs";
      source = {
        ip = "192.168.178.21";
        path = "/mnt/Fort/data/music";
      };
    };
    settings = { };
  };

  services.openssh.enable = true;

  environment.systemPackages = map lib.lowPrio [
    pkgs.curl
  ];

  users.users.root.openssh.authorizedKeys.keys = pubKeys;

  virtualisation.docker = {
    enableOnBoot = true;
    rootless = {
      enable = true;
      setSocketVariable = true;
    };
  };

  system.stateVersion = "23.11";
}
